Bug 728504 - Review Request: jboss-sasl - SASL Provider for J2SE
Summary: Review Request: jboss-sasl - SASL Provider for J2SE
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 726351 727220 728171
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-05 11:35 UTC by Marek Goldmann
Modified: 2012-01-24 13:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-24 13:24:29 UTC
akurtako: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Marek Goldmann 2011-08-05 11:35:53 UTC
Spec URL: http://goldmann.fedorapeople.org/package_review/jboss-sasl/1/jboss-sasl.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/jboss-sasl/1/jboss-sasl-1.0.0-0.1.Beta1.fc16.src.rpm
Description: SASL Provider for J2SE

$ rpmlint ./jboss-sasl.spec 
./jboss-sasl.spec: W: invalid-url Source0: jboss-sasl-1.0.0.Beta1.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint jboss-sasl-1.0.0-0.1.Beta1.fc16.src.rpm 
jboss-sasl.src: I: enchant-dictionary-not-found en_US
jboss-sasl.src: W: invalid-url Source0: jboss-sasl-1.0.0.Beta1.tar.xz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 1 Richard Fontana 2011-09-17 21:22:19 UTC
License: field in spec file should be "LGPLv2+ and GPLv2 with exceptions".

Comment 5 Alexander Kurtakov 2011-12-07 15:24:36 UTC
Fails to build

[INFO] ------------------------------------------------------------------------
[INFO] Skipping jboss-sasl
[INFO] This project has been banned from the build due to previous failures.
[INFO] ------------------------------------------------------------------------
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 4.187s
[INFO] Finished at: Wed Dec 07 15:16:25 UTC 2011
[INFO] Final Memory: 27M/379M
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-surefire-plugin:2.10:test (default-test) on project jboss-sasl: Unable to generate classpath: org.apache.maven.artifact.resolver.MultipleArtifactsNotFoundException: Missing:
[ERROR] ----------
[ERROR] 1) org.apache.maven.surefire:surefire-junit4:jar:2.10
[ERROR] 
[ERROR] Try downloading the file manually from the project website.
[ERROR] 
[ERROR] Then, install it using the command:
[ERROR] mvn install:install-file -DgroupId=org.apache.maven.surefire -DartifactId=surefire-junit4 -Dversion=2.10 -Dpackaging=jar -Dfile=/path/to/file
[ERROR] 
[ERROR] Alternatively, if you host your own repository you can deploy the file there:
[ERROR] mvn deploy:deploy-file -DgroupId=org.apache.maven.surefire -DartifactId=surefire-junit4 -Dversion=2.10 -Dpackaging=jar -Dfile=/path/to/file -Durl=[url] -DrepositoryId=[id]
[ERROR] 
[ERROR] Path to dependency:
[ERROR] 1) dummy:dummy:jar:1.0
[ERROR] 2) org.apache.maven.surefire:surefire-junit4:jar:2.10
[ERROR]

Comment 6 Marek Goldmann 2011-12-07 15:39:56 UTC
Ouch, I forgot to run a scratch build... Below you can find version with required BR added. I haven't bumped the release.

And the scratch build itself: http://koji.fedoraproject.org/koji/taskinfo?taskID=3572488

Spec URL:
http://goldmann.fedorapeople.org/package_review/jboss-sasl/5/jboss-sasl.spec
SRPM URL:
http://goldmann.fedorapeople.org/package_review/jboss-sasl/5/jboss-sasl-1.0.0-0.1.Beta9.fc17.src.rpm

Comment 7 Alexander Kurtakov 2011-12-08 10:14:20 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated

==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[-]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.

rpmlint jboss-sasl-1.0.0-0.1.Beta9.fc17.src.rpm

jboss-sasl.src: W: invalid-url Source0: jboss-sasl-1.0.0.Beta9.tar.xz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Fine.

rpmlint jboss-sasl-1.0.0-0.1.Beta9.fc17.noarch.rpm

jboss-sasl.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

rpmlint jboss-sasl-javadoc-1.0.0-0.1.Beta9.fc17.noarch.rpm

jboss-sasl-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Not blockers.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
jboss-sasl-1.0.0.Beta9.tar.xz :
  MD5SUM this package     : f244597acf6bd61bdabcd4ff7ffb74f4
  MD5SUM upstream package : upstream source not found
Instructions for generation given.

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[-]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[-]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====
[-]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: MUST Javadoc subpackages have Requires: jpackage-utils
[x]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
[x]: SHOULD Package has BuildArch: noarch (if possible)
[x]: SHOULD Package uses upstream build method (ant/maven/etc.)


==== Maven ====
[x]: MUST Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[x]: MUST pom files have correct add_maven_depmap call
[x]: MUST Old add_to_maven_depmap macro is not being used
[x]: MUST Packages DOES NOT have Requires(post) and Requires(postun) on
     jpackage-utils for %update_maven_depmap macro
[x]: MUST If package contains pom.xml files install it (including depmaps)
     even when building with ant
[x]: MUST Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: MUST Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

Issues:
* remove empty %doc in files section

Comment 9 Alexander Kurtakov 2012-01-20 10:53:57 UTC
APPROVED.

Comment 10 Marek Goldmann 2012-01-20 11:02:00 UTC
Thanks for review!

New Package SCM Request
=======================
Package Name:      jboss-sasl
Short Description: SASL Provider for J2SE
Owners:            goldmann
Branches:          f17

Comment 11 Gwyn Ciesla 2012-01-20 13:51:53 UTC
Git done (by process-git-requests).

f17==devel.

Comment 12 Marek Goldmann 2012-01-24 13:24:29 UTC
Thanks for git, closing.


Note You need to log in before you can comment on or make changes to this bug.